Index: trunk/src/view_field.m
===================================================================
--- trunk/src/view_field.m	(revision 425)
+++ trunk/src/view_field.m	(revision 428)
@@ -308,29 +308,4 @@
 
 %-------------------------------------------------------------------
-% --- Executes on button press in 'FixLimits'.
-%-------------------------------------------------------------------
-function CheckFixLimits_Callback(hObject, eventdata, handles)
-test=get(handles.CheckFixLimits,'Value');
-if test
-    set(handles.CheckFixLimits,'BackgroundColor',[1 1 0])
-else
-    set(handles.CheckFixLimits,'BackgroundColor',[0.7 0.7 0.7])
-end
-update_plot(handles)
-
-%-------------------------------------------------------------------
-% --- Executes on button press in FixEqual.
-function CheckFixEqual_Callback(hObject, eventdata, handles)
-test=get(handles.CheckFixEqual,'Value');
-if test
-    set(handles.CheckFixEqual,'BackgroundColor',[1 1 0])
-else
-    set(handles.CheckFixEqual,'BackgroundColor',[0.7 0.7 0.7])
-end
- update_plot(handles)
-
-%-------------------------------------------------------------------
-
-%-------------------------------------------------------------------
 % --- Executes on button press in 'zoom'.
 %-------------------------------------------------------------------
@@ -343,4 +318,37 @@
     set(handles.CheckZoom,'BackgroundColor',[0.7 0.7 0.7])
 end
+
+%-------------------------------------------------------------------
+% --- Executes on button press in 'FixLimits'.
+%-------------------------------------------------------------------
+function CheckFixLimits_Callback(hObject, eventdata, handles)
+test=get(handles.CheckFixLimits,'Value');
+if test
+    set(handles.CheckFixLimits,'BackgroundColor',[1 1 0])
+else
+    set(handles.CheckFixLimits,'BackgroundColor',[0.7 0.7 0.7])
+end
+update_plot(handles)
+ 
+ %-------------------------------------------------------------------
+% --- Executes on button press in CheckFixAspectRatio.
+function CheckFixAspectRatio_Callback(hObject, eventdata, handles)
+%-------------------------------------------------------------------
+if get(handles.CheckFixAspectRatio,'Value')
+    set(handles.CheckFixAspectRatio,'BackgroundColor',[1 1 0])
+    update_plot(handles);
+else
+    set(handles.CheckFixAspectRatio,'BackgroundColor',[0.7 0.7 0.7])
+    update_plot(handles);
+end
+
+%-------------------------------------------------------------------
+function num_AspectRatio_Callback(hObject, eventdata, handles)
+%-------------------------------------------------------------------
+set(handles.CheckFixAspectRatio,'Value',1)% select the fixed aspect ratio button
+set(handles.CheckFixAspectRatio,'BackgroundColor',[1 1 0])% mark in yellow
+update_plot(handles);
+
+%-------------------------------------------------------------------
 
 % %-------------------------------------------------------------------
@@ -746,28 +754,12 @@
 % --- Executes on selection change in ColorCode.
 function ColorCode_Callback(hObject, eventdata, handles)
-% hObject    handle to ColorCode (see GCBO)
-% eventdata  reserved - to be defined in a future version of MATLAB
-% handles    structure with handles and user data (see GUIDATA)
-
-% Hints: contents = cellstr(get(hObject,'String')) returns ColorCode contents as cell array
-%        contents{get(hObject,'Value')} returns selected item from ColorCode
 
 
 % --- Executes on selection change in ColorScalar.
 function ColorScalar_Callback(hObject, eventdata, handles)
-% hObject    handle to ColorScalar (see GCBO)
-% eventdata  reserved - to be defined in a future version of MATLAB
-% handles    structure with handles and user data (see GUIDATA)
-
-% Hints: contents = cellstr(get(hObject,'String')) returns ColorScalar contents as cell array
-%        contents{get(hObject,'Value')} returns selected item from ColorScalar
-
 
 
 function num_ColCode2_Callback(hObject, eventdata, handles)
-% hObject    handle to num_colcode2 (see GCBO)
-% eventdata  reserved - to be defined in a future version of MATLAB
-% handles    structure with handles and user data (see GUIDATA)
-
-% Hints: get(hObject,'String') returns contents of num_colcode2 as text
-%        str2double(get(hObject,'String')) returns contents of num_colcode2 as a double
+
+
+
